#include <bits/stdc++.h>

using namespace std;
const int N=1e45+45;
long long broj1(long long n)
{
    long long x=n,brojac=0;
    while(x)
    {
        if(x%10==1) brojac++;
        x=x/10;
    }
    return brojac;
}
long long brojnula(long long n)
{
    long long x=n,brojac=0;
    while(x)
    {
        if(x%10==0) brojac++;
        x=x/10;
    }
    return brojac;
}
long long n;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    if(brojnula(n)>=broj1(n)&&brojnula(n)>0&&broj1(n)>0) cout<<broj1(n)-1<<endl;
    else if(brojnula(n)<broj1(n)&&brojnula(n)>0&&broj1(n)>0)cout<<brojnula(n)-1<<endl;
    else cout<<0<<endl;
    return 0;
}